function [T_drw,P_drw] = T_P_fun(Type,Rall,dw,deltaw,vel)

if Type== "rigid"

    T_drw_rw = Rall.*(dw./2);
    T_drw=T_drw_rw; % [N*m]
else 
    T_drw_ew = Rall.*(dw./2-deltaw);
    T_drw=T_drw_ew;
end 

P_drw = T_drw.*(2.*vel./dw); % [N*m/s]

end